apiVersion: confidentialcontainers.org/v1alpha1
kind: KbsConfig
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"confidentialcontainers.org/v1alpha1","kind":"KbsConfig","metadata":{"annotations":{},"labels":{"app.kubernetes.io/created-by":"trustee-operator","app.kubernetes.io/instance":"kbsconfig","app.kubernetes.io/managed-by":"kustomize","app.kubernetes.io/name":"kbsconfig","app.kubernetes.io/part-of":"trustee-operator"},"name":"kbsconfig","namespace":"trustee-operator-system"},"spec":{"kbsAuthSecretName":"kbs-auth-public-key","kbsConfigMapName":"kbs-config-cm","kbsDeploymentType":"AllInOneDeployment","kbsResourcePolicyConfigMapName":"resource-policy","kbsRvpsRefValuesConfigMapName":"rvps-reference-values","kbsSecretResources":["kbsres1","security-policy","cosign-public-key"],"kbsServiceType":"NodePort"}}
  creationTimestamp: "2024-12-04T19:28:39Z"
  finalizers:
  - kbsconfig.confidentialcontainers.org/finalizer
  generation: 2
  labels:
    app.kubernetes.io/created-by: trustee-operator
    app.kubernetes.io/instance: kbsconfig
    app.kubernetes.io/managed-by: kustomize
    app.kubernetes.io/name: kbsconfig
    app.kubernetes.io/part-of: trustee-operator
  name: kbsconfig
  namespace: trustee-operator-system
  resourceVersion: "148860"
  uid: 03cc212d-cfee-47d2-9bc9-de2c01b7da3c
spec:
  ibmSEConfigSpec: {}
  kbsAuthSecretName: kbs-auth-public-key
  kbsConfigMapName: kbs-config-cm
  kbsDeploymentType: AllInOneDeployment
  kbsResourcePolicyConfigMapName: resource-policy
  kbsRvpsRefValuesConfigMapName: rvps-reference-values
  kbsSecretResources:
  - kbsres1
  - security-policy
  - cosign-public-key
  kbsServiceType: NodePort
  tdxConfigSpec: {}
